Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# derived_iterator_type Class Template Reference
[derived_xxx_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename Iterator, typename T = use_default, typename L = use_default, typename IsPlanar = use_default, typename IsStep = use_default, typename IsMutable = use_default>
class boost::gil::derived_iterator_type< Iterator, T, L, IsPlanar, IsStep, IsMutable >

Constructs a pixel iterator type from a source pixel iterator type by changing some of the properties.

Use use_default for the properties of the source view that you want to keep.

## Public Types

typedef iterator_type < channel_t, layout_t, planar, step, mut >::type | type

The documentation for this class was generated from the following file:

- metafunctions.hpp